Name:          hawtbuf
Version:       1.9
Release:       10%{?dist}
Summary:       A rich byte buffer library
License:       ASL 2.0
URL:           https://github.com/fusesource/hawtbuf/
Source0:       https://github.com/fusesource/hawtbuf/archive/%{name}-project-%{version}.tar.gz

BuildRequires: java-devel

%if 0%{?fedora} < 21
BuildRequires: mvn(org.fusesource:fusesource-pom)
%else
BuildRequires: mvn(org.fusesource:fusesource-pom:pom:)
%endif
BuildRequires: mvn(commons-logging:commons-logging)
BuildRequires: mvn(org.apache.maven:maven-plugin-api)
BuildRequires: mvn(org.apache.maven:maven-project)

# test deps
BuildRequires: junit

%if (0%{?rhel} > 0) || (0%{?fedora} < 21)
BuildRequires: log4j
%else
BuildRequires: log4j12
%endif

BuildRequires: maven-local
BuildRequires: javacc-maven-plugin
BuildRequires: maven-invoker-plugin
BuildRequires: maven-plugin-bundle
BuildRequires: maven-plugin-plugin
BuildRequires: maven-surefire-provider-junit

# B/R for maven-archiver
%if 0%{?fedora} < 21
BuildRequires: mvn(org.apache.maven.shared:maven-shared-components)
%else
BuildRequires: mvn(org.apache.maven.shared:maven-shared-components:pom:)
%endif

BuildArch:     noarch

%description
This library implements a simple interface with working with
byte arrays. It is a shame that the Java SDK did not come with
a built in class that was just simply a byte[], int offset,
int length class which provided a rich interface similar to
what the String class does for char arrays. This library
fills in that void by providing a Buffer class which does provide
that rich interface.

%package proto
Summary:       A protobuf library

%description proto
HawtBuf Proto: A protobuf library.

%package protoc
Summary:       A protobuf compiler as a maven plugin

%description protoc
HawtBuf Protoc: A protobuf compiler as a maven plugin.

%package javadoc
Summary:       Javadoc for %{name}

%description javadoc
This package contains javadoc for %{name}.

%prep
%setup -q -n %{name}-%{name}-project-%{version}
%pom_remove_plugin :maven-assembly-plugin

%build
%mvn_package ":%{name}-project" %{name}
%mvn_build -s

%install
%mvn_install

%files -f .mfiles-%{name}
%dir %{_javadir}/%{name}
%doc license.txt notice.md readme.md

%files proto -f .mfiles-%{name}-proto
%doc license.txt notice.md %{name}-proto/readme.md

%files protoc -f .mfiles-%{name}-protoc
%doc license.txt notice.md %{name}-protoc/readme.md

%files javadoc -f .mfiles-javadoc
%doc license.txt notice.md

%changelog
* Wed Aug 20 2014 Darryl L. Pierce <dpierce@redhat.com> - 1.9-10
- First build for EPEL7.
- Resolves: BZ#1110028
- Added conditions so the specfile can be used across releases.

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.9-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Fri Mar 28 2014 Michael Simacek <msimacek@redhat.com> - 1.9-8
- Use Requires: java-headless rebuild (#1067528)

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.9-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Fri Jul 05 2013 gil cattaneo <puntogil@libero.it> 1.9-6
- switch to XMvn
- minor changes to adapt to current guideline

* Tue Feb 19 2013 gil cattaneo <puntogil@libero.it> 1.9-5
- disabled integration tests

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.9-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Wed Feb 06 2013 Java SIG <java-devel@lists.fedoraproject.org> - 1.9-3
- Update for https://fedoraproject.org/wiki/Fedora_19_Maven_Rebuild
- Replace maven BuildRequires with maven-local

* Wed Sep 05 2012 gil cattaneo <puntogil@libero.it> 1.9-2
- removed hawtbuf-tests.jar
- performed integration test

* Tue May 22 2012 gil cattaneo <puntogil@libero.it> 1.9-1
- initial rpm
